- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#body.BatchCreateCustomTargetingKeysResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#body.aspect)
- [CreateCustomTargetingKeyRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#CreateCustomTargetingKeyRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#CreateCustomTargetingKeyRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#try-it)

Creates `CustomTargetingKey` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/customTargetingKeys:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `CustomTargetingKeys` will be created. Format: `networks/{networkCode}` The parent field in the CreateCustomTargetingKeyRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#CreateCustomTargetingKeyRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys/batchCreate#CreateCustomTargetingKeyRequest`)`` Required. The `CustomTargetingKey` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `customTargetingKeys.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customTargetingKeys": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys#CustomTargetingKey`) } ] } ``` |

| Fields ||
|---|---|
| `customTargetingKeys[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys#CustomTargetingKey`)`` The `CustomTargetingKey` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateCustomTargetingKeyRequest

Request object for `customTargetingKeys.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "customTargetingKey": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys#CustomTargetingKey`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `CustomTargetingKey` will be created. Format: `networks/{networkCode}` |
| `customTargetingKey` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys#CustomTargetingKey`)`` Required. The `CustomTargetingKey` to create. |